/* ===================================================================
 * RecipeCommand.java
 * 
 * Created Sep 20, 2004 6:04:03 PM
 * 
 * Copyright (c) 2004 Matt Magoffin (spamsqr@msqr.us)
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 
 * 02111-1307 USA
 * ===================================================================
 * $Id: RecipeCommand.java 39 2009-05-06 03:30:47Z msqr $
 * ===================================================================
 */

package magoffin.matt.ieat.util;

import magoffin.matt.ieat.biz.RecipeSearchBiz;
import magoffin.matt.ieat.domain.RecipeSearchCriteria;

/**
 * Recipe command object.
 * 
 * @author Matt Magoffin (spamsqr@msqr.us)
 * @version $Revision: 39 $ $Date: 2009-05-06 15:30:47 +1200 (Wed, 06 May 2009) $
 */
public class RecipeCommand {
	
	private String mode;
	private Long recipeId;
	private Integer systemId;
	private float size;
	private Short rating;
	private String comment;
	private RecipeSearchBiz.IndexCriteria index;
	private RecipeSearchCriteria criteria;
	
	/**
	 * @return the mode
	 */
	public String getMode() {
		return mode;
	}
	
	/**
	 * @param mode the mode to set
	 */
	public void setMode(String mode) {
		this.mode = mode;
	}
	
	/**
	 * @return the recipeId
	 */
	public Long getRecipeId() {
		return recipeId;
	}
	
	/**
	 * @param recipeId the recipeId to set
	 */
	public void setRecipeId(Long recipeId) {
		this.recipeId = recipeId;
	}
	
	/**
	 * @return the systemId
	 */
	public Integer getSystemId() {
		return systemId;
	}
	
	/**
	 * @param systemId the systemId to set
	 */
	public void setSystemId(Integer systemId) {
		this.systemId = systemId;
	}
	
	/**
	 * @return the size
	 */
	public float getSize() {
		return size;
	}
	
	/**
	 * @param size the size to set
	 */
	public void setSize(float size) {
		this.size = size;
	}
	
	/**
	 * @return the rating
	 */
	public Short getRating() {
		return rating;
	}
	
	/**
	 * @param rating the rating to set
	 */
	public void setRating(Short rating) {
		this.rating = rating;
	}
	
	/**
	 * @return the comment
	 */
	public String getComment() {
		return comment;
	}
	
	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
	
	/**
	 * @return the index
	 */
	public RecipeSearchBiz.IndexCriteria getIndex() {
		return index;
	}
	
	/**
	 * @param index the index to set
	 */
	public void setIndex(RecipeSearchBiz.IndexCriteria index) {
		this.index = index;
	}
	
	/**
	 * @return the criteria
	 */
	public RecipeSearchCriteria getCriteria() {
		return criteria;
	}
	
	/**
	 * @param criteria the criteria to set
	 */
	public void setCriteria(RecipeSearchCriteria criteria) {
		this.criteria = criteria;
	}
	
}
